package com.qiaomeng.plugin.splash;

import android.content.Context;
import android.content.SharedPreferences;

public class DBUtils {
    private static String METADATA_KEY = "__metadata__";
    private static String SECONDS_KEY = "__seconds__";
    private static String IMAGE_KEY = "__image__";

    private Context context;

    public DBUtils(Context context) {
        this.context = context;
    }

    public SharedPreferences getSharedPreferences() {
        SharedPreferences sharedPreferences = context.getSharedPreferences("splash_screen", Context.MODE_PRIVATE);
        return sharedPreferences;
    }

    public String getMetadata() {
        SharedPreferences sharedPreferences = getSharedPreferences();
        String data = sharedPreferences.getString(METADATA_KEY, null);
        return data;
    }

    public void setMetadata(String metadata) {
        SharedPreferences sharedPreferences = getSharedPreferences();
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putString(METADATA_KEY, metadata);
        editor.commit();
    }

    public void setImage(String imageUrl) {
        SharedPreferences sharedPreferences = getSharedPreferences();
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putString(IMAGE_KEY, imageUrl);
        editor.commit();
    }

    public String getImage() {
        SharedPreferences sharedPreferences = getSharedPreferences();
        String url = sharedPreferences.getString(IMAGE_KEY, null);
        return url;
    }

    public void setSeconds(int seconds) {
        SharedPreferences sharedPreferences = getSharedPreferences();
        SharedPreferences.Editor editor = sharedPreferences.edit();
        editor.putInt(SECONDS_KEY, seconds);
        editor.commit();
    }

    public int getSeconds() {
        SharedPreferences sharedPreferences = getSharedPreferences();
        int seconds = sharedPreferences.getInt(SECONDS_KEY, 3);
        return seconds;
    }

}
