import 'package:flutter/services.dart';
import 'dart:convert';

class SplashScreenPlugin {
  static const MethodChannel _channel = const MethodChannel('splash_screen_plugin');

  static void setImage(String imageUrl) {
    _channel.invokeMethod('setImage', {"imageUrl": imageUrl});
  }

  static void setSeconds(int seconds) {
    _channel.invokeMethod('setSeconds', {"seconds": seconds});
  }

  static void setMetadata(String metadata) {
    _channel.invokeMethod('setMetadata', {"metadata": metadata});
  }

  static void remove() {
    _channel.invokeMethod('remove');
  }

  static void splash(){
    _channel.invokeMethod('splash');
  }

  static void setListener(Function(String name, Map metedata) callback) {
    _channel.setMethodCallHandler((MethodCall call) {
      callback(call.method, Map<String, dynamic>.from(json.decode(call.arguments)));
      return Future.value(true);
    });
  }
}
